import numpy as np
from PySussix import Sussix
import sys

def tune_analysis_lonitudinal(z, dp, simga_z, simga_dp):
    n_turns = z.shape[0]
        
    qz = np.empty(1)
    qsimga_z = np.empty(1)
    
    spectrum_centroid = np.abs(np.fft.fft(z, axis = 0))[:n_turns/2]
    tune_peak_centroid = np.float_(np.argmax(spectrum_centroid, axis=0))/float(n_turns)
    
    spectrum_envelope = np.abs(np.fft.fft(simga_z, axis = 0))[:n_turns/2]
    tune_peak_envelope = np.float_(np.argmax(spectrum_envelope, axis=0))/float(n_turns)
            
    SX = Sussix()
    SX.sussix_inp(nt1=1, nt2=n_turns, idam=2, ir=0, tunex=tune_peak_centroid, tuney=tune_peak_envelope)
    SX.sussix(z, dp, simga_z, simga_dp, z, dp)
                            
    qz = SX.ox[0]
    qsimga_z = SX.oy[0]
        
    return qz, qsimga_z



